@import "~sass/media";
@import "~sass/variables";
.order-cancel-popup-wrap {
  // width: 30vw;
  padding: 1.5rem;
  overflow: auto;
  max-height: 70vh;
  scrollbar-face-color: transparent;
  scrollbar-arrow-color: transparent;
  // @include for-size(phone-only){
  //   height: calc(100vh - 175px);
  // }
  // @include for-size(mobile-lanscape){
  //   height: calc(100vh - 175px);
  // }
  // @include for-size(mobile-ios-lanscape){
  //   height: calc(100vh - 175px);
  // }
  // @include for-size(tablet-portrait-up){
  //   height: calc(100vh - 175px);
  // }
  // @include for-size(l1280-622){
  //   height: calc(100vh - 175px);
  // }
  // @include for-size(l1366-1439){
  //   height: calc(100vh - 175px);
  // }
}
.form-close {
  float: right;
  position: relative;
  top: 0;
  color: #a7a7a7;
  button {
    border: none;
    background: none;
    cursor: pointer;
    outline: none;
  }
}
.common-form-field-width {
  width: 100%;
}
.common-popup-header {
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
  border-bottom: 1px solid #d2d2d2;
}

// .tracking-history {
//   display: flex;
//   justify-content: center;
// }
// .tracking-history ul.tl {
//   margin: 20px 0;
//   padding: 0;
//   display: inline-block;
// }
// .tracking-history ul.tl li {
//   list-style: none;
//   margin: auto;
//   margin-left: 140px;
//   min-height: 100px;
//   border-left: 1px dashed #cecfd0;
//   padding: 0px 0px 50px 30px;
//   position: relative;
//   @include for-size(phone-only) {
//     margin-left: 130px;
//   }
// }
// .tracking-history ul.tl li:last-child {
//   border-left: 0;
// }
// .tracking-history ul.tl li::before {
//   position: absolute;
//   left: -10px;
//   top: 1px;
//   content: " ";
//   border: 4px solid rgba(3, 169, 244, 0.9);
//   border-radius: 500%;
//   background: #ffffff;
//   height: 20px;
//   width: 20px;
//   transition: all 500ms ease-in-out;
// }
// .tracking-history ul.tl li:hover::before {
//   border-color: #258cc7;
//   transition: all 1000ms ease-in-out;
// }
// ul.tl li .item-title {
//   font-size: 14px;
//   color: #000;
// }
// ul.tl li .item-detail {
//   color: rgba(0, 0, 0, 0.5);
//   font-size: 12px;
// }
// ul.tl li .tracking-time {
//   color: #656565;
//   position: absolute;
//   left: -130px;
//   text-align: right;
//   font-size: 12px;
//   @include for-size(phone-only){
//     left: -230px;
//   }
// }
// :ng-host ::ng-deeep .cdk-overlay-pane{
//   max-height: auto;
// }

// .tracking-popup{

// }



.timeline {
  width: 100%;
  // padding: 40px 20px;
  position: relative;
  &:before {
    content: '';
    position: absolute;
    top: 12px;
    left: calc(41% + 15px);
    bottom: 0px;
    width: 4px;
    background: #ddd;
    // height: 78%;
    @include for-size(tablet-portrait-up){
      left: calc(41% + 12px) !important;
    }
    @include for-size(phone-only){
      left: calc(41% + 7px) !important;
    }
    @include for-size(mobile-lanscape){
      left: calc(41% + 12px) !important;
    }
  }
  &:after {
    content: "";
    display: table;
    clear: both;
  } 
}

.entry {
  clear: both;
  text-align: left;
  position: relative;
  .title {
    margin-bottom: .5em;
    float: left;
    width: 43%;
    padding-right: 30px;
    text-align: right;
    position: relative;
    font-size: 14px;
    &:before {
      content: '';
      position: absolute;
      width: 8px;
      height: 8px;
      border: 8px solid #03A9F4;
      background-color:#fff;
      border-radius:100%;
      top: 15%;
      right: -16px;
      z-index: 99;      
      @media (min-width: 320px) and (max-width: 767px) {
        right: -12px;
      }
      @media (min-width: 600px) and (max-width: 768px) {
          right: -14px;
      }
    }
    h3 {
      font-size: 14px;
      font-weight: 600;
      margin-bottom: 0rem;
    }
    p {
      margin: 0;
      font-size: 100%;
    }
  }
  .body {
    margin: 0 0 2em;
    float: right;
    width: 56%;
    padding-left: 30px;
    font-size: 14px;
    p {
      line-height: 1.4em;
      &:first-child {
        margin-top: 0;
        margin-bottom: .4rem !important;
        font-weight: 600;
      }
    }
    ul {
      color:#aaa;
      padding-left: 0;
      list-style-type: none;
      // li:before {
      //   content: "";
      //   margin-right: .5em;
      // }
    }
  }
}
::-webkit-scrollbar-thumb {
  background-color: transparent;
}
  @-moz-document url-prefix() {
    thumb,scrollbarbutton {
       -moz-appearance: none !important;
         background-color: transparent;
    }
    scrollbar-track-color{
      background-color: transparent;
    }
}